import dayjs = require('dayjs');
import { Column, CreateDateColumn, Entity, PrimaryGeneratedColumn, UpdateDateColumn, VersionColumn } from 'typeorm';

@Entity('pageView', { comment: '浏览记录' })
export class PageView {
  /**数据id */
  @PrimaryGeneratedColumn({ type: 'integer' })
  id: number;
  /**数据创建时间 */
  @CreateDateColumn({ type: 'timestamp', transformer: { from: value => (value ? dayjs(value).format('YYYY-MM-DD HH:mm:ss') : value), to: value => value } })
  created_time?: Date;
  /**数据最后更新时间 */
  @UpdateDateColumn({ type: 'timestamp', transformer: { from: value => (value ? dayjs(value).format('YYYY-MM-DD HH:mm:ss') : value), to: value => value } })
  update_time?: Date;
  /**数据版本 */
  @VersionColumn({ type: 'integer', default: 1 })
  __v?: number;

  @Column({ comment: 'content_id', nullable: true })
  content_id: number;
  @Column({ comment: '浏览量', default: 1 })
  num: number
}
