export const ErrorCode = {
  /**位置错误 */
  UNKNOW: { code: '-1', msg: '未知错误' },
  /**接口错误 */
  SERVICE_FAULT: msg => ({ code: '400', msg }),
  /**接口不开放 */
  INTERFACE_NOT_OPEN: { code: '-2', msg: '此接口暂不开放' },
  // 参数错误部分
  /**数据未找到 */
  DATA_NOT_FOUND: { code: '4041', msg: '未找到数据' },
  /**数据未找到-自定义错误信息 */
  DATA_NOT_FOUND_WITH_MSG: (msg: string) => ({ code: '4041', msg }),
  /**缺少地址参数 */
  NEED_PARAMS: { code: '4042', msg: '缺少地址参数' },
  /**缺少地址参数-自定义错误信息 */
  NEED_PARAMS_WITH_MSG: (msg: string) => ({ code: '4042', msg }),
  /**缺少查询参数 */
  NEED_QUERY: { code: '4043', msg: '缺少查询参数' },
  /**缺少查询参数-自定义错误信息 */
  NEED_QUERY_WITH_MSG: (msg: string) => ({ code: '4043', msg }),
  /**缺少参数体参数 */
  NEED_BODY: { code: '4044', msg: '缺少参数体参数' },
  /**缺少参数体参数-自定义错误信息 */
  NEED_BODY_WITH_MSG: (msg: string) => ({ code: '4044', msg }),

  // 登录相关
  NOT_LOGIN: { code: '401', msg: '您未登录' },
  IS_LOGOUT: { code: '4011', msg: '该账号已登出' },
  OTHER_PLACE_LOGIN: { code: '4012', msg: '该账号已在其他地点登录' },
  IS_EXPIRE: { code: '4014', msg: '登录已超时,请重新登录' },
  ROLE_IS_DISABLED: { code: '4015', msg: '当前用户角色已被禁用' },
  USER_NOT_FOUND: { code: '4016', msg: '未找到用户信息' },
  USER_IS_DISABLED: { code: '4017', msg: '该用户已被禁用' },
  BAD_PASSWORD: { code: '4018', msg: '密码错误' },

  /**账户已存在 */
  ACCOUNT_IS_EXISTS: { code: '4001', msg: '账户已存在' },
  /**业务错误 */
  ENTITY_NOT_FOUND: { code: '-100', msg: '未找到实体配置' }
};
