import { Catch } from '@midwayjs/core';
import { Context } from '@midwayjs/koa';

@Catch()
export class DefaultErrorFilter {
  async catch(err: Error, ctx: Context) {
    // 所有的未分类错误会到这里
    ctx.logger.error(err.name)
    ctx.logger.error(err.message)
    ctx.logger.error(err.stack)
    return {
      success: false,
      message: err.message,
    };
  }
}
